templates:
- make
- base

variables:
  description: KogniChef Fillrate Detection Library and Application
  access: private

  repository: https://synergy.cit-ec.de/git/kognihome-tp1.kognichef-fillrate-detection.git
  scm.credentials: synergy.cit-ec
  branches:
  - master
  - '0.4'

  extra-requires:
  - nature: pkg-config
    target: ICL-9.12
  - nature: cmake
    target: RSB
  - nature: cmake
    target: RSC
  - nature: cmake
    target: RST

  shell.environment:
  - INSTALL_PREFIX="${toolkit.dir}"
  - PC_DEPS="ICL-9.12 rsb0.15 rst0.15 rsc0.15 rstsandbox0.15"
  - QUIET=FALSE
  - DEBUG=FALSE
  - '@{next-value|[]}'
